import { IntegrationEvent, IntegrationEventProps } from '@mobicoop/ddd-library';

export class MatcherAdFailureIntegrationEvent extends IntegrationEvent {
  readonly cause?: string;

  constructor(
    props: IntegrationEventProps<MatcherAdCreationFailedIntegrationEvent>,
  ) {
    super(props);
    this.cause = props.cause;
  }
}

export class MatcherAdCreationFailedIntegrationEvent extends MatcherAdFailureIntegrationEvent {}
export class MatcherAdUpdateFailedIntegrationEvent extends MatcherAdFailureIntegrationEvent {}
